{ config, pkgs, ... }:

{
  boot.isContainer = true;
  # creates /sbin/init
  boot.loader.initScript.enable = true;
  nix.useSandbox = false;

  imports = [
     ./modules/nix.nix
     ./modules/networking.nix
     ./modules/gitea.nix

     ./modules/admin.nix
     ./modules/ssh.nix
   ];
 
  system.stateVersion = "21.11";
  time.timeZone = "Europe/Berlin";
}
