## Migration from [imbert to zentralwerk](https://codimd.c3d2.de/inbert-2021)

[based on https://docs.gitea.io/en-us/backup-and-restore/](https://docs.gitea.io/en-us/backup-and-restore/)

### @imbert
```shell
sudo -u git  gitea dump -c /etc/gitea/app.ini
```

### @gitea.hq.c3d2.de (lxc 315 @server6)

- copied `gitea-dump-*.zip` from imbert to `/tmp/`

```shell
/etc/nixos/migrate.sh
```

Check consistency:

```shell
su gitea
cd
export GITEA_WORK_DIR=/var/lib/gitea
/nix/store/*-gitea-1.15.2/bin/gitea doctor --all
```
